Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/AckleyEvaluator.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/AckleyEvaluator.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/AckleyEvaluator.cs	(revision 16462)
@@ -25,5 +25,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.TestFunctions {
@@ -33,5 +33,5 @@
   /// </summary
   [Item("AckleyEvaluator", "Evaluates the Ackley function on a given point. The optimum of this function is 0 at the origin. It is implemented as described in Eiben, A.E. and Smith, J.E. 2003. Introduction to Evolutionary Computation. Natural Computing Series, Springer-Verlag Berlin Heidelberg.")]
-  [StorableClass]
+  [StorableType("AB46422C-A915-4BC5-B2F7-F6F4794E87D2")]
   public class AckleyEvaluator : SingleObjectiveTestFunctionProblemEvaluator {
     public override string FunctionName { get { return "Ackley"; } }
@@ -68,5 +68,5 @@
 
     [StorableConstructor]
-    protected AckleyEvaluator(bool deserializing) : base(deserializing) { }
+    protected AckleyEvaluator(StorableConstructorFlag _) : base(_) { }
     protected AckleyEvaluator(AckleyEvaluator original, Cloner cloner) : base(original, cloner) { }
     public AckleyEvaluator() : base() { }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/BealeEvaluator.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/BealeEvaluator.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/BealeEvaluator.cs	(revision 16462)
@@ -25,5 +25,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.TestFunctions {
@@ -33,5 +33,5 @@
   /// </summary>
   [Item("BealeEvaluator", "Evaluates the Beale function on a given point. The optimum of this function is 0 at (3,0.5). It is implemented as described in Moré, J.J., Garbow, B., and Hillstrom, K. 1981. Testing unconstrained optimization software. ACM Transactions on Mathematical Software 7, pp. 136-140, ACM.")]
-  [StorableClass]
+  [StorableType("EC1E155C-65ED-4603-A442-357ECC1E8F3D")]
   public class BealeEvaluator : SingleObjectiveTestFunctionProblemEvaluator {
     public override string FunctionName { get { return "Beale"; } }
@@ -68,5 +68,5 @@
 
     [StorableConstructor]
-    protected BealeEvaluator(bool deserializing) : base(deserializing) { }
+    protected BealeEvaluator(StorableConstructorFlag _) : base(_) { }
     protected BealeEvaluator(BealeEvaluator original, Cloner cloner) : base(original, cloner) { }
     public BealeEvaluator() : base() { }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/BoothEvaluator.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/BoothEvaluator.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/BoothEvaluator.cs	(revision 16462)
@@ -25,5 +25,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.TestFunctions {
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("BoothEvaluator", "Evaluates the Booth function on a given point. The optimum of this function is 0 at (1,3). It is implemented as described on http://www-optima.amp.i.kyoto-u.ac.jp/member/student/hedar/Hedar_files/TestGO_files/Page816.htm, last accessed April 12th, 2010.")]
-  [StorableClass]
+  [StorableType("3D0027F9-FC7B-4C34-8766-93C4A467767A")]
   public class BoothEvaluator : SingleObjectiveTestFunctionProblemEvaluator {
     public override string FunctionName { get { return "Booth"; } }
@@ -67,5 +67,5 @@
 
     [StorableConstructor]
-    protected BoothEvaluator(bool deserializing) : base(deserializing) { }
+    protected BoothEvaluator(StorableConstructorFlag _) : base(_) { }
     protected BoothEvaluator(BoothEvaluator original, Cloner cloner) : base(original, cloner) { }
     public BoothEvaluator() : base() { }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/GriewankEvaluator.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/GriewankEvaluator.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/GriewankEvaluator.cs	(revision 16462)
@@ -25,5 +25,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.TestFunctions {
@@ -34,5 +34,5 @@
   /// </summary>
   [Item("GriewankEvaluator", "Evaluates the Griewank function on a given point. The optimum of this function is 0 at the origin. It is introduced by Griewank A.O. 1981 and implemented as described (without the modifications) in Locatelli, M. 2003. A note on the Griewank test function. Journal of Global Optimization 25, pp. 169-174, Springer.")]
-  [StorableClass]
+  [StorableType("9FA738E6-EB3C-4C64-92FE-3F7F0F823639")]
   public class GriewankEvaluator : SingleObjectiveTestFunctionProblemEvaluator {
     public override string FunctionName { get { return "Griewank"; } }
@@ -69,5 +69,5 @@
 
     [StorableConstructor]
-    protected GriewankEvaluator(bool deserializing) : base(deserializing) { }
+    protected GriewankEvaluator(StorableConstructorFlag _) : base(_) { }
     protected GriewankEvaluator(GriewankEvaluator original, Cloner cloner) : base(original, cloner) { }
     public GriewankEvaluator() : base() { }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/LevyEvaluator.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/LevyEvaluator.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/LevyEvaluator.cs	(revision 16462)
@@ -25,5 +25,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.TestFunctions {
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("LevyEvaluator", "Evaluates the Levy function on a given point. The optimum of this function is 0 at (1,1,...,1). It is implemented as described on http://www-optima.amp.i.kyoto-u.ac.jp/member/student/hedar/Hedar_files/TestGO_files/Page2056.htm, last accessed April 12th, 2010.")]
-  [StorableClass]
+  [StorableType("1DE79A28-70E5-45D8-817F-F1F51BCBC19D")]
   public class LevyEvaluator : SingleObjectiveTestFunctionProblemEvaluator {
     public override string FunctionName { get { return "Levy"; } }
@@ -67,5 +67,5 @@
 
     [StorableConstructor]
-    protected LevyEvaluator(bool deserializing) : base(deserializing) { }
+    protected LevyEvaluator(StorableConstructorFlag _) : base(_) { }
     protected LevyEvaluator(LevyEvaluator original, Cloner cloner) : base(original, cloner) { }
     public LevyEvaluator() : base() { }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/MatyasEvaluator.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/MatyasEvaluator.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/MatyasEvaluator.cs	(revision 16462)
@@ -25,5 +25,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.TestFunctions {
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("MatyasEvaluator", "Evaluates the Matyas function on a given point. The optimum of this function is 0 at the origin. It is implemented as described on http://www-optima.amp.i.kyoto-u.ac.jp/member/student/hedar/Hedar_files/TestGO_files/Page2213.htm, last accessed April 12th, 2010.")]
-  [StorableClass]
+  [StorableType("5C665115-42A4-4E19-AA2F-59BEB973215C")]
   public class MatyasEvaluator : SingleObjectiveTestFunctionProblemEvaluator {
     public override string FunctionName { get { return "Matyas"; } }
@@ -67,5 +67,5 @@
 
     [StorableConstructor]
-    protected MatyasEvaluator(bool deserializing) : base(deserializing) { }
+    protected MatyasEvaluator(StorableConstructorFlag _) : base(_) { }
     protected MatyasEvaluator(MatyasEvaluator original, Cloner cloner) : base(original, cloner) { }
     public MatyasEvaluator() : base() { }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/MultinormalEvaluator.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/MultinormalEvaluator.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/MultinormalEvaluator.cs	(revision 16462)
@@ -29,9 +29,9 @@
 using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.TestFunctions.Evaluators {
   [Item("MultinormalFunction", "Evaluates a random multinormal function on a given point.")]
-  [StorableClass]
+  [StorableType("55E0E22B-43BD-4408-8A78-8F918E66AFB1")]
   public class MultinormalEvaluator : SingleObjectiveTestFunctionProblemEvaluator {
     public override string FunctionName { get { return "Multinormal"; } }
@@ -87,5 +87,5 @@
 
     [StorableConstructor]
-    protected MultinormalEvaluator(bool deserializing) : base(deserializing) { }
+    protected MultinormalEvaluator(StorableConstructorFlag _) : base(_) { }
     protected MultinormalEvaluator(MultinormalEvaluator original, Cloner cloner) : base(original, cloner) { }
     public MultinormalEvaluator() {
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/RandomEvaluator.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/RandomEvaluator.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/RandomEvaluator.cs	(revision 16462)
@@ -26,5 +26,5 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.TestFunctions {
@@ -33,5 +33,5 @@
   /// </summary
   [Item("RandomEvaluator", "Returns a random value in [0;1) that is independent of the inputs.")]
-  [StorableClass]
+  [StorableType("8D56248E-D85B-49C0-92C1-E1D53F729202")]
   public class RandomEvaluator : SingleObjectiveTestFunctionProblemEvaluator, IStochasticOperator {
     public override string FunctionName { get { return "Random"; } }
@@ -72,5 +72,5 @@
 
     [StorableConstructor]
-    protected RandomEvaluator(bool deserializing) : base(deserializing) { }
+    protected RandomEvaluator(StorableConstructorFlag _) : base(_) { }
     protected RandomEvaluator(RandomEvaluator original, Cloner cloner) : base(original, cloner) { }
     public RandomEvaluator()
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/RastriginEvaluator.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/RastriginEvaluator.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/RastriginEvaluator.cs	(revision 16462)
@@ -26,5 +26,5 @@
 using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.TestFunctions {
@@ -34,5 +34,5 @@
   /// </summary
   [Item("RastriginEvaluator", "Evaluates the generalized Rastrigin function y = Sum((x_i)^2 + A * (1 - Cos(2pi*x_i))) on a given point. The optimum of this function is 0 at the origin. It is implemented as described in Eiben, A.E. and Smith, J.E. 2003. Introduction to Evolutionary Computation. Natural Computing Series, Springer-Verlag Berlin Heidelberg.")]
-  [StorableClass]
+  [StorableType("DAC41E30-0487-4400-A089-4B57DFAA329A")]
   public class RastriginEvaluator : SingleObjectiveTestFunctionProblemEvaluator {
     public override string FunctionName { get { return "Rastrigin"; } }
@@ -86,5 +86,5 @@
 
     [StorableConstructor]
-    protected RastriginEvaluator(bool deserializing) : base(deserializing) { }
+    protected RastriginEvaluator(StorableConstructorFlag _) : base(_) { }
     protected RastriginEvaluator(RastriginEvaluator original, Cloner cloner) : base(original, cloner) { }
     /// <summary>
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/RosenbrockEvaluator.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/RosenbrockEvaluator.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/RosenbrockEvaluator.cs	(revision 16462)
@@ -25,5 +25,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.TestFunctions {
@@ -36,5 +36,5 @@
 It is unknown how many local minima there are for dimensions greater than 30.
 It is implemented as generalized Rosenbrock function for which the 2 dimensional function is a special case, as for example given in Shang, Y.-W. and Qiu, Y.-H. 2006. A Note on the Extended Rosenbrock Function. Evolutionary Computation 14, pp. 119-126, MIT Press.")]
-  [StorableClass]
+  [StorableType("20C31FDB-4F7D-4563-B955-F4F8B34DFF3E")]
   public class RosenbrockEvaluator : SingleObjectiveTestFunctionProblemEvaluator {
     public override string FunctionName { get { return "Rosenbrock"; } }
@@ -71,5 +71,5 @@
 
     [StorableConstructor]
-    protected RosenbrockEvaluator(bool deserializing) : base(deserializing) { }
+    protected RosenbrockEvaluator(StorableConstructorFlag _) : base(_) { }
     protected RosenbrockEvaluator(RosenbrockEvaluator original, Cloner cloner) : base(original, cloner) { }
     public RosenbrockEvaluator() : base() { }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/SchwefelEvaluator.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/SchwefelEvaluator.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/SchwefelEvaluator.cs	(revision 16462)
@@ -25,5 +25,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.TestFunctions {
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("SchwefelEvaluator", "Evaluates the Schwefel function (sine root) on a given point. In the given bounds [-500;500] the optimum of this function is close to 0 at (420.968746453712,420.968746453712,...,420.968746453712). It is implemented as described in Affenzeller, M. and Wagner, S. 2005. Offspring Selection: A New Self-Adaptive Selection Scheme for Genetic Algorithms.  Ribeiro, B., Albrecht, R. F., Dobnikar, A., Pearson, D. W., and Steele, N. C. (eds.). Adaptive and Natural Computing Algorithms, pp. 218-221, Springer.")]
-  [StorableClass]
+  [StorableType("06AC1E53-E26F-4A41-9B4B-2EDC0B02B358")]
   public class SchwefelEvaluator : SingleObjectiveTestFunctionProblemEvaluator {
     public override string FunctionName { get { return "Schwefel"; } }
@@ -67,5 +67,5 @@
 
     [StorableConstructor]
-    protected SchwefelEvaluator(bool deserializing) : base(deserializing) { }
+    protected SchwefelEvaluator(StorableConstructorFlag _) : base(_) { }
     protected SchwefelEvaluator(SchwefelEvaluator original, Cloner cloner) : base(original, cloner) { }
     public SchwefelEvaluator() : base() { }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/SingleObjectiveTestFunctionProblemEvaluator.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/SingleObjectiveTestFunctionProblemEvaluator.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/SingleObjectiveTestFunctionProblemEvaluator.cs	(revision 16462)
@@ -26,5 +26,5 @@
 using HeuristicLab.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.TestFunctions {
@@ -33,5 +33,5 @@
   /// </summary>
   [Item("Evaluator", "Base calls for single objective test function evaluators.")]
-  [StorableClass]
+  [StorableType("2775A51F-C97B-4D2E-9B25-9E2591A961CB")]
   public abstract class SingleObjectiveTestFunctionProblemEvaluator : InstrumentedOperator, ISingleObjectiveTestFunctionProblemEvaluator {
     /// <summary>
@@ -74,5 +74,5 @@
 
     [StorableConstructor]
-    protected SingleObjectiveTestFunctionProblemEvaluator(bool deserializing) : base(deserializing) { }
+    protected SingleObjectiveTestFunctionProblemEvaluator(StorableConstructorFlag _) : base(_) { }
     protected SingleObjectiveTestFunctionProblemEvaluator(SingleObjectiveTestFunctionProblemEvaluator original, Cloner cloner) : base(original, cloner) { }
     /// <summary>
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/SphereEvaluator.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/SphereEvaluator.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/SphereEvaluator.cs	(revision 16462)
@@ -26,5 +26,5 @@
 using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.TestFunctions {
@@ -34,5 +34,5 @@
   /// </summary>
   [Item("SphereEvaluator", "Evaluates the Sphere function y = C * ||X||^Alpha on a given point. The optimum of this function is 0 at the origin. It is implemented as described in Beyer, H.-G. and Schwefel, H.-P. 2002. Evolution Strategies - A Comprehensive Introduction Natural Computing, 1, pp. 3-52.")]
-  [StorableClass]
+  [StorableType("F40E2FAA-0491-41EA-9B25-57A87DD2AD25")]
   public class SphereEvaluator : SingleObjectiveTestFunctionProblemEvaluator {
     public override string FunctionName { get { return "Sphere"; } }
@@ -104,5 +104,5 @@
 
     [StorableConstructor]
-    protected SphereEvaluator(bool deserializing) : base(deserializing) { }
+    protected SphereEvaluator(StorableConstructorFlag _) : base(_) { }
     protected SphereEvaluator(SphereEvaluator original, Cloner cloner) : base(original, cloner) { }
     /// <summary>
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/SumSquaresEvaluator.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/SumSquaresEvaluator.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/SumSquaresEvaluator.cs	(revision 16462)
@@ -24,5 +24,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.TestFunctions {
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("SumSquaresEvaluator", "Evaluates the sum squares function on a given point. The optimum of this function is 0 at the origin. The Sum Squares function is defined as sum(i * x_i * x_i) for i = 1..n.")]
-  [StorableClass]
+  [StorableType("B7DFB7C7-0218-4D42-85F0-E427E99DB621")]
   public class SumSquaresEvaluator : SingleObjectiveTestFunctionProblemEvaluator {
     public override string FunctionName { get { return "SumSquares"; } }
@@ -66,5 +66,5 @@
 
     [StorableConstructor]
-    protected SumSquaresEvaluator(bool deserializing) : base(deserializing) { }
+    protected SumSquaresEvaluator(StorableConstructorFlag _) : base(_) { }
     protected SumSquaresEvaluator(SumSquaresEvaluator original, Cloner cloner) : base(original, cloner) { }
     public SumSquaresEvaluator() : base() { }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/ZakharovEvaluator.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/ZakharovEvaluator.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Evaluators/ZakharovEvaluator.cs	(revision 16462)
@@ -24,5 +24,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.TestFunctions {
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("ZakharovEvaluator", "Evaluates the Zakharov function on a given point. The optimum of this function is 0 at the origin. It is implemented as described in Hedar, A. & Fukushima, M. 2004. Heuristic pattern search and its hybridization with simulated annealing for nonlinear global optimization. Optimization Methods and Software 19, pp. 291-308, Taylor & Francis.")]
-  [StorableClass]
+  [StorableType("AB90340D-E5D0-4397-A5C3-8C7590F1727A")]
   public class ZakharovEvaluator : SingleObjectiveTestFunctionProblemEvaluator {
     public override string FunctionName { get { return "Zakharov"; } }
@@ -70,5 +70,5 @@
 
     [StorableConstructor]
-    protected ZakharovEvaluator(bool deserializing) : base(deserializing) { }
+    protected ZakharovEvaluator(StorableConstructorFlag _) : base(_) { }
     protected ZakharovEvaluator(ZakharovEvaluator original, Cloner cloner) : base(original, cloner) { }
     public ZakharovEvaluator() : base() { }
